Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.pdf.CertIssuerPair Class Reference

## Public Member Functions
| CertIssuerPair ()
| Constructor.
| CertIssuerPair (byte[] cert, byte[] issuer)
| Constructor, with parameters. More...
| CertIssuerPair (CertIssuerPair other)
| Constructor, with another cert-issuer pair object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
byte[] | getCert ()
| Get certificate content. More...
byte[] | getIssuer ()
| Get an issuer of the certificate. More...
void | set (byte[] cert, byte[] issuer)
| Set value. More...
void | setCert (byte[] value)
| Set certificate content. More...
void | setIssuer (byte[] value)
| Set an issuer of the certificate. More...

## Detailed Description

This class represents a cert-issuer pair.

## Constructor & Destructor Documentation

## ◆ CertIssuerPair() [1/2]

com.foxit.sdk.pdf.CertIssuerPair.CertIssuerPair | ( | byte[] | cert,
|  | byte[] | issuer
| ) |  |

Constructor, with parameters.

Parameters

  [in] | cert | Certificate content.
  [in] | issuer | An issuer for the certificate.

## ◆ CertIssuerPair() [2/2]

com.foxit.sdk.pdf.CertIssuerPair.CertIssuerPair | ( | CertIssuerPair | other | ) |

Constructor, with another cert-issuer pair object.

Parameters

  [in] | other | Another cert-issuer pair object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.pdf.CertIssuerPair.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getCert()

com.foxit.sdk.pdf.CertIssuerPair.getCert | ( |  | ) |

Get certificate content.

Returns
  Certificate content.

## ◆ getIssuer()

com.foxit.sdk.pdf.CertIssuerPair.getIssuer | ( |  | ) |

Get an issuer of the certificate.

Returns
  An issuer of the certificate.

## ◆ set()

void com.foxit.sdk.pdf.CertIssuerPair.set | ( | byte[] | cert,
|  | byte[] | issuer
| ) |  |

Set value.

Parameters

  [in] | cert | Certificate content.
  [in] | issuer | An issuer for the certificate.

Returns
  None.

## ◆ setCert()

com.foxit.sdk.pdf.CertIssuerPair.setCert | ( | byte[] | value | ) |

Set certificate content.

Parameters

  [in] | value | Certificate content.

Returns
  None.

## ◆ setIssuer()

com.foxit.sdk.pdf.CertIssuerPair.setIssuer | ( | byte[] | value | ) |

Set an issuer of the certificate.

Parameters

  [in] | value | An issuer of the certificate.

Returns
  None.